logilab-common #65711 Logilab common is not anymore compatible with python2.4 [deprecated]

Error while installing the package with python 2.4

(Lecture de la base de données... 54995 fichiers et répertoires déjà installés.)
Préparation du remplacement de python-logilab-common 0.55.0-1 (en utilisant .../python-logilab-common_0.55.1-1_all.deb) ...
find: `/usr/lib/python2.5/site-packages/logilab/': Aucun fichier ou répertoire de ce type
Dépaquetage de la mise à jour de python-logilab-common ...
Traitement des actions différées (« triggers ») pour « python-support »...
Compiling /usr/lib/pymodules/python2.4/logilab/common/urllib2ext.py ...
File "/usr/lib/pymodules/python2.4/logilab/common/urllib2ext.py", line 67
finally:
^
SyntaxError: invalid syntax

Compiling /usr/lib/pymodules/python2.4/yams/tools.py ...
File "/usr/lib/pymodules/python2.4/yams/tools.py", line 84
class MockConfig():
^
SyntaxError: invalid syntax

Traitement des actions différées (« triggers ») pour « man-db »...
Paramétrage de python-logilab-common (0.55.1-1) ...
Traitement des actions différées (« triggers ») pour « python-support »...
Compiling /usr/lib/pymodules/python2.4/logilab/common/urllib2ext.py ...
File "/usr/lib/pymodules/python2.4/logilab/common/urllib2ext.py", line 67
finally:
^
SyntaxError: invalid syntax

Compiling /usr/lib/pymodules/python2.4/yams/tools.py ...
File "/usr/lib/pymodules/python2.4/yams/tools.py", line 84
class MockConfig():
^
SyntaxError: invalid syntax

prioritynormal
typebug
done in<not specified>
load0.000
load left0.000
closed by<not specified>